#!/bin/bash

cat << EOF
<!DOCTYPE html>
<html lang=en-US>
<head>
  <title>CRC Diagrams</title>
  <meta charset="utf-8">
</head>
<body>
EOF

for file ; do
    echo "<h1>$file</h1>"
    echo "<p><pre>"
    head -n1 "${file/.svg/.pikchr}"
    echo "</pre></p>"
    echo "<div style=\"max-height:10em;display:flex\">"
    cat $file
    echo "</div>"
done
echo "</body>"
echo "</html>"
